## org.apache.batik.dom.svg
Class SVGOMAnimatedNumberList.AnimSVGNumberList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGNumberList
              org.apache.batik.dom.svg.SVGOMAnimatedNumberList.AnimSVGNumberList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGNumberList

Enclosing class:
  SVGOMAnimatedNumberList

    protected class SVGOMAnimatedNumberList.AnimSVGNumberList

extends AbstractSVGNumberList

`SVGNumberList` implementation for the animated number list value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGNumberList
`AbstractSVGNumberList.NumberListBuilder, AbstractSVGNumberList.SVGNumberItem`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGNumberList
`SVG_NUMBER_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`SVGOMAnimatedNumberList.AnimSVGNumberList()` Creates a new AnimSVGNumberList.

Method Summary
`org.w3c.dom.svg.SVGNumber` `appendItem(org.w3c.dom.svg.SVGNumber newItem)` DOM: Implements `SVGNumberList.appendItem(SVGNumber)`.
`void` `clear()` DOM: Implements `SVGNumberList.clear()`.
`protected org.w3c.dom.DOMException` `createDOMException(short type, java.lang.String key, java.lang.Object[] args)` Create a DOMException.
`protected org.w3c.dom.svg.SVGException` `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create a SVGException.
`protected org.w3c.dom.Element` `getElement()` Returns the element owning this SVGNumberList.
`org.w3c.dom.svg.SVGNumber` `getItem(int index)` DOM: Implements `SVGNumberList.getItem(int)`.
`int` `getNumberOfItems()` DOM: Implements `SVGNumberList.getNumberOfItems()`.
`protected java.lang.String` `getValueAsString()` Returns the value of the DOM attribute containing the point list.
`org.w3c.dom.svg.SVGNumber` `initialize(org.w3c.dom.svg.SVGNumber newItem)` DOM: Implements `SVGNumberList.initialize(SVGNumber)`.
`org.w3c.dom.svg.SVGNumber` `insertItemBefore(org.w3c.dom.svg.SVGNumber newItem, int index)` DOM: Implements `SVGNumberList.insertItemBefore(SVGNumber, int)`.
`org.w3c.dom.svg.SVGNumber` `removeItem(int index)` DOM: Implements `SVGNumberList.removeItem(int)`.
`org.w3c.dom.svg.SVGNumber` `replaceItem(org.w3c.dom.svg.SVGNumber newItem, int index)` DOM: Implements `SVGNumberList.replaceItem(SVGNumber, int)`.
`protected void` `resetAttribute()` Resets the value of the associated attribute.
`protected void` `resetAttribute(SVGItem item)` Resets the value of the associated attribute.
`protected void` `revalidate()` Initializes the list, if needed.
`protected void` `setAnimatedValue(float[] values)` Sets the animated value.
`protected void` `setAttributeValue(java.lang.String value)` Sets the DOM attribute value containing the point list.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGNumberList
`checkItemType, createSVGItem, doParse, getItemSeparator`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, getItemImpl, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedNumberList.AnimSVGNumberList

    public SVGOMAnimatedNumberList.AnimSVGNumberList()

  Creates a new AnimSVGNumberList.

Method Detail

### createDOMException

    protected org.w3c.dom.DOMException createDOMException(short type,
                                                          java.lang.String key,
                                                          java.lang.Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected org.w3c.dom.svg.SVGException createSVGException(short type,
                                                              java.lang.String key,
                                                              java.lang.Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGNumberList`

### getElement

    protected org.w3c.dom.Element getElement()

  Returns the element owning this SVGNumberList.

  Specified by:
    `getElement` in class `AbstractSVGNumberList`

### getNumberOfItems

    public int getNumberOfItems()

  DOM: Implements `SVGNumberList.getNumberOfItems()`.

  Specified by:
    `getNumberOfItems` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `getNumberOfItems` in class `AbstractSVGList`

### getItem

    public org.w3c.dom.svg.SVGNumber getItem(int index)
                                      throws org.w3c.dom.DOMException

  DOM: Implements `SVGNumberList.getItem(int)`.

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `getItem` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`

### getValueAsString

    protected java.lang.String getValueAsString()

  Returns the value of the DOM attribute containing the point list.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`

### setAttributeValue

    protected void setAttributeValue(java.lang.String value)

  Sets the DOM attribute value containing the point list.

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - the String representation of the list, or null if the list contains no items

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  DOM: Implements `SVGNumberList.clear()`.

  Specified by:
    `clear` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `clear` in class `AbstractSVGList`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the list cannot be modified.

### initialize

    public org.w3c.dom.svg.SVGNumber initialize(org.w3c.dom.svg.SVGNumber newItem)
                                         throws org.w3c.dom.DOMException,
                                                org.w3c.dom.svg.SVGException

  DOM: Implements `SVGNumberList.initialize(SVGNumber)`.

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `initialize` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### insertItemBefore

    public org.w3c.dom.svg.SVGNumber insertItemBefore(org.w3c.dom.svg.SVGNumber newItem,
                                                      int index)
                                               throws org.w3c.dom.DOMException,
                                                      org.w3c.dom.svg.SVGException

  DOM: Implements `SVGNumberList.insertItemBefore(SVGNumber, int)`.

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `insertItemBefore` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGNumber replaceItem(org.w3c.dom.svg.SVGNumber newItem,
                                                 int index)
                                          throws org.w3c.dom.DOMException,
                                                 org.w3c.dom.svg.SVGException

  DOM: Implements `SVGNumberList.replaceItem(SVGNumber, int)`.

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `replaceItem` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGNumber removeItem(int index)
                                         throws org.w3c.dom.DOMException

  DOM: Implements `SVGNumberList.removeItem(int)`.

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `removeItem` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public org.w3c.dom.svg.SVGNumber appendItem(org.w3c.dom.svg.SVGNumber newItem)
                                         throws org.w3c.dom.DOMException

  DOM: Implements `SVGNumberList.appendItem(SVGNumber)`.

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGNumberList`
  Overrides:
    `appendItem` in class `AbstractSVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`

### setAnimatedValue

    protected void setAnimatedValue(float[] values)

  Sets the animated value.

### resetAttribute

    protected void resetAttribute()

  Resets the value of the associated attribute. Does nothing, since there is no attribute for an animated value.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### resetAttribute

    protected void resetAttribute(SVGItem item)

  Resets the value of the associated attribute. Does nothing, since there is no attribute for an animated value.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### revalidate

    protected void revalidate()

  Initializes the list, if needed. Does nothing, since there is no attribute to read the list from.

  Overrides:
    `revalidate` in class `AbstractSVGList`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.